Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Errores detectados al actualizar a 3.2.9

Foros de soporte phpBB 3.2


Responder
zoserone
Observador/a
Mensajes: 36
Registrado: 27 Jul 2011, 17:50
Nombre real: Antonio

Errores detectados al actualizar a 3.2.9

#1

Mensaje por zoserone »

Buenas,

Tras actualizar a 3.2.9 desde 3.2.8 he detectado dos problemas.

  1. Al registrar un nuevo usuario aparece error sql:

Error General
SQL ERROR [ mysqli ]
Unknown column 'user_email_hash' in 'field list' [1054]
Ocurrió un error SQL mientras recuperaba esta página. Por favor contacte con La Administración del Sitio si el problema persiste.

Indicar que me ha deshabilitado automáticamente la extensión Contact Admin al actualizar.

  1. La versión indicada de phpbb en el pca en lugar de ser la 3.2.9 indica que es la 3.3.0

¿A alguien más le ha pasado esto?

Hoy restauré una copia de seguridad de bbdd y ficheros en versión 3.2.8 tratando de hacer una actualización sin prisas a la 3.2.9. Esto mismo ya me pasó hace un par de días y lo achacaba a alguna cagada mía, pero hoy he visto que algo raro hay. Es la primera vez que me pasa esto.

¿Alguna pista de por donde atacar el problema?



URL: https://www.clubseattoledo.com
Estilo(s) usuado(s): PBTech
Extensiones instaladas:
Board Announcements
cBB Blockgets
External Links Open in New Window
Google AdSense
Google Analytics
Imgur
Lightbox
Member time counter
Notify Admin on Registration
Remember me checked by default
Scroll To Top
Simple mentions
Thanks for posts

Versión de phpBB: 3.2.9
Servidor: Hosting de pago.
Si es una actualización desde otra versión: Ha pasado prácticamente por todas las versiones.
Si es una conversión desde otro tipo de Foro: NO



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 809
Registrado: 14 Ene 2017, 22:18
Nombre real: Alfredo
Ubicación: /dev/null
Género:
Contactar:

Errores detectados al actualizar a 3.2.9

#2

Mensaje por AbaddonOrmuz »

zoserone escribió:
27 Ene 2020, 17:22

Unknown column 'user_email_hash' in 'field list' [1054]

Si ese error proviene de la extensión Contact Admin (revisa el registro de errores), significa que dicha extensión debe ser actualizada por su autor.

Esa columna (user_email_hash) fue eliminada en phpBB 3.3.0

https://tracker.phpbb.com/browse/PHPBB3-16167
https://github.com/phpbb/phpbb/pull/5727

Dependiendo de lo que haga con ese valor, podrías simplemente remplazar esa columna con user_email, que por lo visto la hicieron índice para remplazar user_email_hash.

Aunque no siempre es tan simple ya que, y reitero, se tendrpia que ver cómo es que funciona y qué hace con esa columna.

zoserone escribió:
27 Ene 2020, 17:22

La versión indicada de phpbb en el pca en lugar de ser la 3.2.9 indica que es la 3.3.0

Estas seguro que no usaste el paquete para actualizar a 3.3.0, como te lo indicaron en otro tema?

Veo muy difícil que el error te aparezca en el paquete de actualización a 3.2.9, principalmente porque los cambios que te arrojan el error anterior únicamente están incluidos en la rama 3.3.0 y porque la versión que te marca en el PCA es confiable en el sentido que si te dice que tienes 3.3.0, ten por seguro que de una forma u otra actualizaste a 3.3.0 en algún punto.

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

zoserone
Observador/a
Mensajes: 36
Registrado: 27 Jul 2011, 17:50
Nombre real: Antonio

Errores detectados al actualizar a 3.2.9

#3

Mensaje por zoserone »

Gracias por contestar.

Si, si, estoy completamente seguro que es la versión 3.2.9 es el paquete de actualización automático que hay colgado aquí.

Hoy he restaurado una copia de seguridad anterior a todo este follón y he usado ese paquete para actualizar de la 3.2.8 a la 3.2.9. Y misma historia.

Estoy bajandome ahora un backup de la 3.2.8 de ficheros y bbdd para trastear en local a ver si doy con el asunto.

Voy actualizando aquí.

URL: https://www.clubseattoledo.com
Estilo(s) usuado(s): PBTech
Extensiones instaladas:
Board Announcements
cBB Blockgets
External Links Open in New Window
Google AdSense
Google Analytics
Imgur
Lightbox
Member time counter
Notify Admin on Registration
Remember me checked by default
Scroll To Top
Simple mentions
Thanks for posts

Versión de phpBB: 3.2.9
Servidor: Hosting de pago.
Si es una actualización desde otra versión: Ha pasado prácticamente por todas las versiones.
Si es una conversión desde otro tipo de Foro: NO



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

zoserone
Observador/a
Mensajes: 36
Registrado: 27 Jul 2011, 17:50
Nombre real: Antonio

Errores detectados al actualizar a 3.2.9

#4

Mensaje por zoserone »

Bueno, pues después de tener que cambiar la versión de PHP de xampp y de alguna que otra ñapa más he restaurado bbdd y ficheros en local, he actualizado de nuevo con el paquete phpBB-3.2.8_to_3.2.9.zip y sigue dando el mismo problema. Esto es muy, muy raro.

URL: https://www.clubseattoledo.com
Estilo(s) usuado(s): PBTech
Extensiones instaladas:
Board Announcements
cBB Blockgets
External Links Open in New Window
Google AdSense
Google Analytics
Imgur
Lightbox
Member time counter
Notify Admin on Registration
Remember me checked by default
Scroll To Top
Simple mentions
Thanks for posts

Versión de phpBB: 3.2.9
Servidor: Hosting de pago.
Si es una actualización desde otra versión: Ha pasado prácticamente por todas las versiones.
Si es una conversión desde otro tipo de Foro: NO



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
Rick8
Usuario/a
Mensajes: 53
Registrado: 14 Nov 2012, 09:28
Nombre real: Ricardo

Errores detectados al actualizar a 3.2.9

#5

Mensaje por Rick8 »

Me ha pasado a mi lo mismo, al recuperar la base de datos junto con el foro, sé que lo tengo a 3.2.9, pero pone en el PCA que mi versión es la 3.3.0, ¿si decido actualizar a 3.3.0 pasaría algo o es solamente un fallo estético?,¿o es mejor que espere a la versión 3.3.1 y hacerlo con esa o con una instalación desde 0 completa con la versión 3.3.0?, si alguien ha podido solucionarlo o no es grave me gustaría saber, un saludo.



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
Rick8
Usuario/a
Mensajes: 53
Registrado: 14 Nov 2012, 09:28
Nombre real: Ricardo

Errores detectados al actualizar a 3.2.9

#6

Mensaje por Rick8 »

Vale, despues de todo lo que he probado es estable, pero me da un error general cuando trato de cambiar el email de un usuario, concretamente este:

Spoiler

SQL ERROR [ mysqli ]

Unknown column 'user_email_hash' in 'field list' [1054]

SQL

SELECT user_email_hash FROM phpbb_users WHERE user_email_hash = 134745176329

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
LINE: 997
CALL: trigger_error()

FILE: [ROOT]/phpbb/db/driver/mysqli.php
LINE: 196
CALL: phpbb\db\driver\driver->sql_error()

FILE: [ROOT]/phpbb/db/driver/factory.php
LINE: 329
CALL: phpbb\db\driver\mysqli->sql_query()

FILE: [ROOT]/includes/functions_user.php
LINE: 1959
CALL: phpbb\db\driver\factory->sql_query()

FILE: [ROOT]/includes/functions_user.php
LINE: 1554
CALL: validate_user_email()

FILE: [ROOT]/includes/acp/acp_users.php
LINE: 874
CALL: validate_data()

FILE: [ROOT]/includes/functions_module.php
LINE: 676
CALL: acp_users->main()

FILE: [ROOT]/adm/index.php
LINE: 82



Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.2”